Bug 170131 - [PATCH] japanese/mozc-el failed to compile
[PATCH] japanese/mozc-el failed to compile
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Daichi GOTO
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 13:40 UTC by freebsd
Modified: 2012-07-26 03:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2012-07-25 13:40:08 UTC
ports/170037 aslo shold have taken care of japanese/mozc-el.

Fix: 

PORTNAME= mozc
PORTVERSION= 1.5.1090.102
-PORTREVISION= 6
+PORTREVISION= 7
CATEGORIES= japanese
MASTER_SITES= ${MASTER_SITE_GOOGLE_CODE}
PKGNAMEPREFIX?= ja-
@@ -73,9 +73,9 @@
SSL_REINPLACE_STR+= -e "s,%%${V}%%,${${V}},"
.endfor

-.if ${BUILD_MOZC_LIST:Mmozc_server} == "mozc_server"
-GYP_DEFINES="use_libprotobuf=1 enable_gtk_renderer=0"
-.elif ${BUILD_MOZC_LIST:Mmozc_tool} == "mozc_tool"
+.if ${BUILD_MOZC_LIST:Mmozc_server} == "mozc_server" || \
+ ${BUILD_MOZC_LIST:Mmozc_tool} == "mozc_tool" || \
+ ${BUILD_MOZC_LIST:Mmozc-el} == "mozc-el"
GYP_DEFINES="use_libprotobuf=1 enable_gtk_renderer=0"
.else
GYP_DEFINES="use_libprotobuf=1"--SzEhDkJ4hPsuWUWMKEVyTtkVyN2NcyQPWle8GNeWyxoJocsx
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- japanese/mozc-server/Makefile.orig 2012-07-22 12:48:40.000000000 -0400
+++ japanese/mozc-server/Makefile 2012-07-22 12:47:22.000000000 -0400
@@ -7,7 +7,7 @@
How-To-Repeat: cd /usr/ports/japanese/mozc-el
make
Comment 1 Edwin Groothuis freebsd_committer 2012-07-25 13:40:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->daichi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-07-26 03:42:12 UTC
Author: daichi
Date: Thu Jul 26 02:41:58 2012
New Revision: 301538
URL: http://svn.freebsd.org/changeset/ports/301538

Log:
  fixed mozc-el build fail
  
  PR:		170131
  Submitted by:	Seiji Ariga <freebsd@khaotic.net>

Modified:
  head/japanese/mozc-el/Makefile
  head/japanese/mozc-server/Makefile

Modified: head/japanese/mozc-el/Makefile
==============================================================================
--- head/japanese/mozc-el/Makefile	Thu Jul 26 02:36:18 2012	(r301537)
+++ head/japanese/mozc-el/Makefile	Thu Jul 26 02:41:58 2012	(r301538)
@@ -11,7 +11,7 @@ COMMENT=	Mozc for GNU Emacs
 MASTERDIR=	${.CURDIR}/../../japanese/mozc-server
 PKGMESSAGE=	${.CURDIR}/pkg-message
 
-BUILD_MOZC_LIST=	mozc-el
+BUILD_MOZC_LIST=	mozc_el
 
 post-install:
 	@${CAT} ${PKGMESSAGE}

Modified: head/japanese/mozc-server/Makefile
==============================================================================
--- head/japanese/mozc-server/Makefile	Thu Jul 26 02:36:18 2012	(r301537)
+++ head/japanese/mozc-server/Makefile	Thu Jul 26 02:41:58 2012	(r301538)
@@ -7,7 +7,7 @@
 
 PORTNAME=	mozc
 PORTVERSION=	1.5.1090.102
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	japanese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 PKGNAMEPREFIX?=	ja-
@@ -37,7 +37,7 @@ USE_QT4+=	gui dbus qmake_build moc_build
 USE_GNOME+=	pygtk2
 .elif ${BUILD_MOZC_LIST:Mfcitx_mozc} == "fcitx_mozc"
 USE_GNOME+=	glib20 gtk20
-.elif ${BUILD_MOZC_LIST:Mmozc-el} == "mozc-el"
+.elif ${BUILD_MOZC_LIST:Mmozc_el} == "mozc_el"
 USE_EMACS=	yes
 .endif
 
@@ -73,9 +73,9 @@ SSL_REINPLACE_STR=
 SSL_REINPLACE_STR+=	-e "s,%%${V}%%,${${V}},"
 .endfor
 
-.if ${BUILD_MOZC_LIST:Mmozc_server} == "mozc_server"
-GYP_DEFINES="use_libprotobuf=1 enable_gtk_renderer=0"
-.elif ${BUILD_MOZC_LIST:Mmozc_tool} == "mozc_tool"
+.if ${BUILD_MOZC_LIST:Mmozc_server} == "mozc_server" || \
+    ${BUILD_MOZC_LIST:Mmozc_tool} == "mozc_tool" || \
+    ${BUILD_MOZC_LIST:Mmozc_el} == "mozc_el"
 GYP_DEFINES="use_libprotobuf=1 enable_gtk_renderer=0"
 .else
 GYP_DEFINES="use_libprotobuf=1"
@@ -306,8 +306,8 @@ do-install-fcitx_mozc:
 .endfor
 .endif
 
-# mozc-el
-.if ${BUILD_MOZC_LIST:Mmozc-el} == "mozc-el"
+# mozc_el
+.if ${BUILD_MOZC_LIST:Mmozc_el} == "mozc_el"
 CATEGORIES+=	editors elisp
 RUN_DEPENDS+=	mozc_server:${PORTSDIR}/japanese/mozc-server \
 		mozc_server_start:${PORTSDIR}/japanese/mozc-additions
@@ -316,14 +316,14 @@ PLIST_FILES+=	bin/mozc_emacs_helper \
 		${EMACS_VERSION_SITE_LISPDIR}/mozc.el \
 		${EMACS_VERSION_SITE_LISPDIR}/mozc.elc
 
-do-build-mozc-el:
+do-build-mozc_el:
 	${BUILD_MOZC_CMD} build -c ${BUILD_MODE} \
 		unix/emacs/emacs.gyp:mozc_emacs_helper
 	@cd ${WRKSRC}/unix/emacs && \
 		${EMACS_CMD} -batch -q -no-site-file -no-init-file \
 				-f batch-byte-compile mozc.el
 
-do-install-mozc-el:
+do-install-mozc_el:
 	@${INSTALL_PROGRAM} \
 		${WRKSRC}/out_linux/${BUILD_MODE}/mozc_emacs_helper \
 		${PREFIX}/bin/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Daichi GOTO freebsd_committer 2012-07-26 03:42:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!